Bug 437981 - Review Request: eigen - A lightweight C++ template library for vector and matrix math
Review Request: eigen - A lightweight C++ template library for vector and ma...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-18 11:16 EDT by Rex Dieter
Modified: 2008-03-21 18:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.5-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-21 18:13:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2008-03-18 11:16:20 EDT
Spec URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/eigen/eigen.spec
SRPM URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/eigen/eigen-1.0.5-1.src.rpm
Description:
Eigen is a lightweight C++ template library for vector and matrix math, a.k.a. linear algebra.

$ rpmlint *.rpm
eigen.src: W: invalid-license GPLv2+ with exceptions
eigen-devel.noarch: W: invalid-license GPLv2+ with exceptions
bah. :)
Comment 1 Kevin Kofler 2008-03-18 11:29:00 EDT
I'll review this.
Comment 2 Kevin Kofler 2008-03-18 11:37:40 EDT
Hmmm, this seems to want graphviz and latex to build the documentation (it uses 
them on my "fully" populated system, at least), so I think those should be 
BRed.
Comment 3 Kevin Kofler 2008-03-18 11:41:42 EDT
Oh, and what rpmlint are you using? That License tag is valid according to the 
Fedora license list, and the rpmlint-0.82-2.fc8 I'm using doesn't spit out 
those false warnings. (I get empty output from rpmlint, which is good. :-) )
Comment 4 Rex Dieter 2008-03-18 11:48:14 EDT
Built/checked on fc7.  Doh on the graphviz (my bad for not using mock).
Comment 5 Kevin Kofler 2008-03-18 11:53:12 EDT
Don't forget texlive-latex too, it's used to convert the formulas in the 
doxygen documentation to images for the HTML.
Comment 6 Rex Dieter 2008-03-18 12:02:17 EDT
Spec URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/eigen/eigen.spec
SRPM URL: 
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/eigen/eigen-1.0.5-2.src.rpm

%changelog
* Tue Mar 18 2008 Rex Dieter <rdieter@fedoraproject.org> 1.0.5-2
- BR: graphviz tex(latex)
- -devel: Provides: %%name (compat with other distros)
Comment 7 Kevin Kofler 2008-03-18 13:04:19 EDT
MUST Items:
+ rpmlint output: none
+ named and versioned according to the Package Naming Guidelines:
+ spec file name matches base package name
+ Packaging Guidelines:
  + License GPLv2+ with exceptions OK, matches actual license
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
  + Complies with the FHS
  + proper changelog, tags, BuildRoot, Requires, BuildRequires, Summary, 
Description
  + no non-UTF-8 characters
  + relevant documentation included
  + nothing to compile, so RPM_OPT_FLAGS are irrelevant
  + nothing to compile (noarch package), so no debuginfo package
  + no static libraries nor .la files
  + no duplicated system libraries
  + no binaries => no rpaths
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + no GUI executables, so no .desktop file needed
  + ... and thus no desktop-file-install needed either
  + no timestamp-clobbering file commands
  + _smp_mflags used
  + scriptlets are valid
  + not a web application, so web application guideline doesn't apply
  + no conflicts
+ complies with all the legal guidelines
+ license included as %doc
+ source matches upstream:
  MD5SUM: 960d7e5fb6542270eae4d53ca99b607c
  SHA1SUM: 32400616c4866eab158115c556df330b077644a3
+ builds on at least one arch (F8 i386)
+ no known non-working arches, so no ExcludeArch needed
+ BuildRequires are complete (cmake, doxygen, graphviz, tex(latex))
+ no translations, so translation/locale guidelines don't apply
+ no shared libraries, so no ldconfig call needed
+ package not relocatable
+ ownership correct (owns package-specific directories, doesn't own directories 
owned by another package)
+ no duplicate files in %files
+ permissions correct, defattr used correctly
+ %clean section present and correct
+ macros used where possible
+ no non-code content
+ no large documentation files, so no -doc package needed
+ %doc files not required at runtime
+ all header files in -devel
+ no static libraries, so no -static package needed
+ no .pc files, so no Requires: pkgconfig needed
+ no .so symlinks vs. plugins
+ no main package (as this is a headers-only library), -devel Provides: %{name} 
= %{version}-%{release} instead, OK
+ no .la files
+ no GUI executables, so no .desktop file needed
+ buildroot is deleted at the beginning of %install
+ all filenames are valid UTF-8

SHOULD Items:
+ license included as %doc
+ no translations for description and summary provided by upstream
* skipping mock test
* skipping all arch test
* skipping functionality test
+ scriptlets are sane
+ no subpackages other than -devel, so "Usually, subpackages other than devel 
should require the base package using a fully versioned dependency." is 
irrelevant
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies

APPROVED
Comment 8 Rex Dieter 2008-03-18 13:10:57 EDT
New Package CVS Request
=======================
Package Name: eigen
Short Description: A lightweight C++ template library for vector and matrix math
Owners: rdieter, kkofler
Branches: EL-5 F-7 F-8
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-03-18 13:44:17 EDT
cvs done.
Comment 10 Rex Dieter 2008-03-18 15:26:17 EDT
imported, built for rawhide.
Comment 11 Fedora Update System 2008-03-18 15:36:56 EDT
eigen-1.0.5-2.fc8 has been submitted as an update for Fedora 8
Comment 12 Fedora Update System 2008-03-21 18:13:49 EDT
eigen-1.0.5-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.